Description

Hi.

| have a problem with not null serial field in QGIS 2.8 on Windows (7/8) and Linux (Ubuntu 12.04).

Database is PostgreSQL 9.3 with PostGIS 2 on that Ubuntu.

If | create table like:

CREATE TABLE null_test

( gid serial NOT NULL, id serial NOT NULL, aaa text, bbb text, ccc real,

the_geom geometry(Geometry,2177),

CONSTRAINT null_test_pkey PRIMARY KEY (gid),

CONSTRAINT enforce_geotype_the_geom CHECK (geometrytype(the_geom) = 'LINESTRING'::text OR the_geom IS NULL)

)i

and load it in QGIS (as a postgres user) | wont be able to add any object because of id NOT NULL constraint. When | add a new feature
QGIS shows in Feature Attributes nextval(‘null_test_id_seq’::regclass) in id field (as for gid) but while saving says:

Could not commit changes to layer null_test
Errors: ERROR: 1 feature(s) not added.
Provider errors:

PostGIS error while adding features: ERROR: null value in column "id" violates not-null constraint Failing row contains (4, null,

null, null, null, 00B3...)

I've notes also that if | delete primary key constraint from gid QGIS 2.8 won't be able to get new value from gid sequence and display the

same kind of error for gid field.

The same table ‘null_test’ loaded in QGIS 2.6 works fine.
| have attached some printscreen to show what | mean.

Can you help?
Cheers!

Related issues:

Related to QGIS Application - Bug report # 12391: Postgres character(n) defau...

Closed

2015-03-17

Associated revisions

Revision bfb8ab68 - 2015-03-18 04:09 PM - Jiirgen Fischer

edit widgets: keep default values of new feature's attributes until they are added

(fixes #12391 & #12386)

2025-12-21
Revision 4¢3cf64f - 2015-12-26 04:40 PM - Jiirgen Fischer

edit widgets: keep default values of new feature's attributes until they are added
(fixes #12391 & #12386 & #13857)

(cherry picked from commit bfb8ab6893d5bf77b4ae92c6c90e0b5b9c7e9ae?)

History

#1 - 2015-03-17 11:07 PM - Seb Radzimski
- Assignee deleted (Jiirgen Fischer)

#2 - 2015-03-18 08:11 AM - Juirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"bfb8ab6893d5bf77b4ae92c6c90e0b5b9c7e9ae7".
